package tech.riemann.ims.entity.material;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.v3.oas.annotations.media.Schema;
import io.swagger.v3.oas.annotations.media.Schema.RequiredMode;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;
import lombok.experimental.FieldNameConstants;
import lombok.experimental.SuperBuilder;
import org.nutz.dao.entity.annotation.*;
import tech.riemann.ims.entity.IdBaseEntity;
import tech.riemann.ims.enums.HandleEnum;
import tech.riemann.ims.enums.StocktakingExceptonalStatusEnum;

import java.io.Serial;

/**
 * 扫码盘点异常数据表
 *
 * @author mayong)
 *
 * @since 2024-12-08 11:49:52
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@FieldNameConstants
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
@TableName("t_stocktaking_scan_exceptional_data")
@Table("t_stocktaking_scan_exceptional_data")
@Comment("扫码盘点异常数据表")
@Schema(name = "StocktakingScanExceptionalData", description = "扫码盘点异常数据表")
public class StocktakingScanExceptionalData extends IdBaseEntity{

    @Serial
    private static final long serialVersionUID = 1L;

    @Schema(description = "申请单id", requiredMode = RequiredMode.NOT_REQUIRED)
    @TableField("s_apply_id")
    @Column("s_apply_id")
    @Comment("申请单id")
    @ColDefine(notNull = false, width = 19, precision = 0)
    private Long applyId;

    @Schema(description = "物料ID", requiredMode = RequiredMode.NOT_REQUIRED)
    @TableField("s_material_id")
    @Column("s_material_id")
    @Comment("物料ID")
    @ColDefine(notNull = false, width = 10, precision = 0)
    private Long materialId;

    @TableField(exist = false)
    private String materialName;

    @Schema(description = "条码", requiredMode = RequiredMode.NOT_REQUIRED)
    @TableField("s_barcode")
    @Column("s_barcode")
    @Comment("条码")
    @ColDefine(notNull = false, width = 128, precision = 0)
    private String barcode;

    @Schema(description = "异常类型", requiredMode = RequiredMode.NOT_REQUIRED)
    @TableField("s_exception_reason")
    @Column("s_exception_reason")
    @Comment("异常类型")
    @ColDefine(notNull = false, width = 128, precision = 0)
    private StocktakingExceptonalStatusEnum exceptionReason;

    @Schema(description = "异常处理", requiredMode = RequiredMode.NOT_REQUIRED)
    @TableField("s_exception_handle")
    @Column("s_exception_handle")
    @Comment("异常处理")
    @ColDefine(notNull = false, width = 128, precision = 0)
    private HandleEnum exceptionHandle;

    @Schema(description = "备注", requiredMode = RequiredMode.NOT_REQUIRED)
    @TableField("s_remark")
    @Column("s_remark")
    @Comment("备注")
    @ColDefine(type = ColType.TEXT)
    private String remark;
}