package tech.riemann.ims.service.material.impl;

import tech.riemann.ims.dto.response.ManualStockDTO;
import tech.riemann.ims.entity.material.MaterialStockDetail;
import tech.riemann.ims.mapper.material.MaterialStockDetailMapper;
import tech.riemann.ims.service.material.IMaterialStockDetailService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

import lombok.RequiredArgsConstructor;

import org.nutz.dao.Dao;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 物料明细数据表 服务实现类
 * </p>
 *
 * @author mayong)
 *
 * @since 2024-12-06 10:32:29
 */
@Service
@RequiredArgsConstructor
public class MaterialStockDetailServiceImpl extends ServiceImpl<MaterialStockDetailMapper, MaterialStockDetail> implements IMaterialStockDetailService {

    private final Dao dao;

    /**
     * @return
     * @see org.nutz.spring.boot.service.ExtService#dao()
     */
    @Override
    public Dao dao() {
        return dao;
    }
    
    /**
     * @return
     * @see org.nutz.spring.boot.service.interfaces.EntityService#getEntityType()
     */
    @Override
    public Class<MaterialStockDetail> getEntityType() {
        return MaterialStockDetail.class;
    }

    @Override
    public List<ManualStockDTO> getByApplyId(Long applyId) {
        return List.of();
    }
}
